Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_blank_identifier

## Name

librdf_new_node_from_blank_identifier -- Constructor - create a new literal librdf_node object from a blank node identifier

## Synopsis

``librdf_node* `librdf_new_node_from_blank_identifier`` (librdf_world * `world`, const unsigned char * `identifier`);`

## Arguments

`world`

  redland world object

`identifier`

  blank node identifier or NULL

## Description

If no identifier string is given, creates a new internal identifier and assigns it.

## Return value

new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_typed_literal | Up | librdf_new_node_from_node